|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.wso2.registry.jdbc.queries.QueryProcessor
org.wso2.registry.jdbc.queries.SQLQueryProcessor
public class SQLQueryProcessor
| Field Summary |
|---|
| Fields inherited from class org.wso2.registry.jdbc.queries.QueryProcessor |
|---|
dataSource, realm |
| Constructor Summary | |
|---|---|
SQLQueryProcessor(javax.sql.DataSource dataSource,
org.wso2.usermanager.Realm realm)
|
|
| Method Summary | |
|---|---|
Resource |
executeQuery(Resource query,
java.util.Map parameters)
This method will be called when a query of a registered type is executed. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public SQLQueryProcessor(javax.sql.DataSource dataSource,
org.wso2.usermanager.Realm realm)
| Method Detail |
|---|
public Resource executeQuery(Resource query,
java.util.Map parameters)
throws RegistryException
QueryProcessor
executeQuery in class QueryProcessorquery - query resource, possibly containing the query stringparameters - query parameters as name->value pairs
RegistryException - QueryProcessor impl should handle all exceptions and throw
RegisrtyException if the exception has to propagated to the client.
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||